{{set . "title" "Change Profile"}}
{{template "header.html" .}}

<div class="container">
  <div class="row">
    <div class="col-md-6">
      <img class="w-100" src="{{config.Address}}/public/images/feneas-logo.png" alt="{{msg . "feneas.name.long"}}" />
    </div>
    <div class="col-md-6">
      <div class="row">
        <div class="col-12">
          <h1>{{msg . "form.profile.title"}}</h1>
        </div>
      </div>
      <div class="row">
        <div class="col-12">
          <form method="POST">
            <div class="form-group">
              <label for="description">{{msg . "form.profile.description_hint"}}</label>
              <textarea class="form-control" rows="12" id="description" name="description">
                {{- .user.Description -}}
              </textarea>
            </div>
            <div class="form-group mb-0">
              <input type="checkbox" id="gravatar" name="gravatar" {{if .user.Gravatar}}checked{{end}}/>
              <label for="gravatar">{{msg . "form.profile.gravatar"}}</label>
              <p>
                <small class="text-muted">
                  {{- $base := config.Gravatar.Provider}}
                  {{msg . "form.profile.gravatar_hint" $base $base}}
                </small>
              </p>
            </div>
            <div class="form-group">
              <p class="mb-1">{{msg . "form.profile.email"}}</p>
              <div class="form-check">
                <input class="form-check-input" type="radio" name="emailField" id="email1" value="mail"
                {{- if eq .user.PublicEmailField "mail"}} checked="true"{{end}} required="true">
                <label class="form-check-label" for="email1">{{.user.Email}}</label>
              </div>
              <div class="form-check">
                <input class="form-check-input" type="radio" name="emailField" id="email2" value="maildrop"
                {{- if eq .user.PublicEmailField "maildrop"}} checked="true"{{end}} required="true">
                <label class="form-check-label" for="email2">{{.user.Maildrop}}</label>
              </div>
            </div>
            <div class="form-group">
              <input type="checkbox" id="public" name="public" {{if .user.PublicProfile}}checked{{end}}/>
              <label for="public">{{msg . "form.profile.public_hint"}}</label>
              <p>
                <small class="text-muted">
                  <i class="fa fa-exclamation-triangle"></i>
                  {{msg . "form.profile.public_committee_hint"}}
                </small>
              </p>
            </div>
            <div class="form-group">
              <button type="submit" class="btn btn-primary btn-block">{{msg . "form.profile.submit"}}</button>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>

{{template "footer.html" .}}
